
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>javascript继承的六大模式小结_javascript技巧 / iVAN</title>

    <meta name="description" content="javascript继承的六大模式小结_javascript技巧 1.原型链 function SuperType(){ this.property = true; } SuperType.prototype.getSuperValue = function(){ return this.property; }; function SubType(){ this.subproperty = false; } //继承了SuperType SubType.prototype = new SuperType(); SubType.prototype.getSubV">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">javascript继承的六大模式小结_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>1.原型链</strong></p>
<pre>
function SuperType(){
this.property = true;
}

SuperType.prototype.getSuperValue = function(){
return this.property;
};
function SubType(){
this.subproperty = false;
}
//继承了SuperType
SubType.prototype = new SuperType();
SubType.prototype.getSubValue = function (){
return this.subproperty;
};
var instance = new SubType();
alert(instance.getSuperValue()); //true
</pre>
<p>实现的本质是重写原型对象，代之以一个新类型的实例。</p>
<p><strong>2.借用构造函数</strong></p>
<pre>
function SuperType(){
this.colors = ["red", "blue", "green"];
}
function SubType(){
//继承了SuperType
SuperType.call(this);
}
var instance1 = new SubType();
instance1.colors.push("black");
alert(instance1.colors); //"red,blue,green,black"
var instance2 = new SubType();
alert(instance2.colors); //"red,blue,green"
</pre>
<p>如果仅仅是借用构造函数，那么也将无法避免构造函数模式存在的问题——方法都在构造函数中定义，因此函数复用就无从谈起了。而且，在超类型的原型中定义的方法，对子类型而言也是不可见的，结果所有类型都只能使用构造函数模式。考虑到这些问题，借用构造函数的技术也是很少单独使用的。</p>
<p><strong>3.组合继承</strong></p>
<pre>
function SuperType(name){
this.name = name;
this.colors = ["red", "blue", "green"];
}
SuperType.prototype.sayName = function(){
alert(this.name);

};
function SubType(name, age){
//继承属性
SuperType.call(this, name);
this.age = age;
}
//继承方法
SubType.prototype = new SuperType();
SubType.prototype.constructor = SubType;
SubType.prototype.sayAge = function(){
alert(this.age);
};
var instance1 = new SubType("Nicholas", 29);
instance1.colors.push("black");
alert(instance1.colors); //"red,blue,green,black"
instance1.sayName(); //"Nicholas";
instance1.sayAge(); //29
var instance2 = new SubType("Greg", 27);
alert(instance2.colors); //"red,blue,green"
instance2.sayName(); //"Greg";
instance2.sayAge(); //27
</pre>
<p>在这个例子中，SuperType 构造函数定义了两个属性：name 和colors。SuperType 的原型定义了一个方法sayName()。SubType 构造函数在调用SuperType 构造函数时传入了name 参数，紧接着又定义了它自己的属性age。然后，将SuperType 的实例赋值给SubType 的原型，然后又在该新原型上定义了方法sayAge()。这样一来，就可以让两个不同的SubType 实例既分别拥有自己属性——包括colors 属性，又可以使用相同的方法了。</p>
<p>组合继承避免了原型链和借用构造函数的缺陷，融合了它们的优点，成为JavaScript 中最常用的继承模式。而且，instanceof 和isPrototypeOf()也能够用于识别基于组合继承创建的对象。</p>
<p><strong>4.原型式继承</strong></p>
<pre>
function object(o){
function F(){}
F.prototype = o;
return new F();
}
</pre>
<p>在object()函数内部，先创建了一个临时性的构造函数，然后将传入的对象作为这个构造函数的原型，最后返回了这个临时类型的一个新实例。从本质上讲，object()对传入其中的对象执行了一次浅复制。来看下面的例子。</p>
<pre>
var person = {
name: "Nicholas",
friends: ["Shelby", "Court", "Van"]
};
var anotherPerson = object(person);
anotherPerson.name = "Greg";
anotherPerson.friends.push("Rob");
var yetAnotherPerson = object(person);
yetAnotherPerson.name = "Linda";
yetAnotherPerson.friends.push("Barbie");
alert(person.friends); //"Shelby,Court,Van,Rob,Barbie"
</pre>
<p>克罗克福德主张的这种原型式继承，要求你必须有一个对象可以作为另一个对象的基础。如果有这么一个对象的话，可以把它传递给object()函数，然后再根据具体需求对得到的对象加以修改即可。在这个例子中，可以作为另一个对象基础的是person 对象，于是我们把它传入到object()函数中，然后该函数就会返回一个新对象。这个新对象将person 作为原型，所以它的原型中就包含一个基本类型值属性和一个引用类型值属性。这意味着person.friends 不仅属于person 所有，而且也会被anotherPerson以及yetAnotherPerson 共享。实际上，这就相当于又创建了person 对象的两个副本。</p>
<p>ECMAScript 5 通过新增Object.create()方法规范化了原型式继承。这个方法接收两个参数：一个用作新对象原型的对象和（可选的）一个为新对象定义额外属性的对象。在传入一个参数的情况下，Object.create()与object()方法的行为相同。</p>
<pre>
var person = {
name: "Nicholas",
friends: ["Shelby", "Court", "Van"]
};
var anotherPerson = Object.create(person);
anotherPerson.name = "Greg";
anotherPerson.friends.push("Rob");
var yetAnotherPerson = Object.create(person);
yetAnotherPerson.name = "Linda";
yetAnotherPerson.friends.push("Barbie");
alert(person.friends); //"Shelby,Court,Van,Rob,Barbie"
</pre>
<p>Object.create()方法的第二个参数与Object.defineProperties()方法的第二个参数格式相同：每个属性都是通过自己的描述符定义的。以这种方式指定的任何属性都会覆盖原型对象上的同名属性。例如：</p>
<pre>
var person = {
name: "Nicholas",
friends: ["Shelby", "Court", "Van"]
};

var anotherPerson = Object.create(person, {
name: {
value: "Greg"
}
});
alert(anotherPerson.name); //"Greg"
</pre>
<p>支持Object.create()方法的浏览器有IE9+、Firefox 4+、Safari 5+、Opera 12+和Chrome。</p>
<p>在没有必要兴师动众地创建构造函数，而只想让一个对象与另一个对象保持类似的情况下，原型式继承是完全可以胜任的。不过别忘了，包含引用类型值的属性始终都会共享相应的值，就像使用原型模式一样。</p>
<p><strong>5.寄生式继承</strong></p>
<p>寄生式（parasitic）继承是与原型式继承紧密相关的一种思路，并且同样也是由克罗克福德推而广之的。寄生式继承的思路与寄生构造函数和工厂模式类似，即创建一个仅用于封装继承过程的函数，该函数在内部以某种方式来增强对象，最后再像真地是它做了所有工作一样返回对象。以下代码示范了寄生式继承模式。</p>
<pre>
function createAnother(original){
var clone = object(original); //通过调用函数创建一个新对象
clone.sayHi = function(){ //以某种方式来增强这个对象
alert("hi");
};
return clone; //返回这个对象
}
</pre>
<p>在这个例子中，createAnother()函数接收了一个参数，也就是将要作为新对象基础的对象。然后，把这个对象（original）传递给object()函数，将返回的结果赋值给clone。再为clone 对象添加一个新方法sayHi()，最后返回clone 对象。可以像下面这样来使用createAnother()函数：</p>
<pre>
var person = {
name: "Nicholas",
friends: ["Shelby", "Court", "Van"]
};
var anotherPerson = createAnother(person);
anotherPerson.sayHi(); //"hi"
</pre>
<p>这个例子中的代码基于person 返回了一个新对象——anotherPerson。新对象不仅具有person的所有属性和方法，而且还有自己的sayHi()方法。<br />
在主要考虑对象而不是自定义类型和构造函数的情况下，寄生式继承也是一种有用的模式。前面示范继承模式时使用的object()函数不是必需的；任何能够返回新对象的函数都适用于此模式。</p>
<p>使用寄生式继承来为对象添加函数，会由于不能做到函数复用而降低效率；这一<br />
点与构造函数模式类似。</p>
<p><strong>6.寄生组合式继承</strong></p>
<p>前面说过，组合继承是JavaScript 最常用的继承模式；不过，它也有自己的不足。组合继承最大的问题就是无论什么情况下，都会调用两次超类型构造函数：一次是在创建子类型原型的时候，另一次是在子类型构造函数内部。没错，子类型最终会包含超类型对象的全部实例属性，但我们不得不在调用子类型构造函数时重写这些属性。再来看一看下面组合继承的例子。</p>
<pre>
function SuperType(name){
this.name = name;
this.colors = ["red", "blue", "green"];
}
SuperType.prototype.sayName = function(){
alert(this.name);
};
function SubType(name, age){
SuperType.call(this, name); //第二次调用SuperType()
this.age = age;
}
SubType.prototype = new SuperType(); //第一次调用SuperType()
SubType.prototype.constructor = SubType;
SubType.prototype.sayAge = function(){
alert(this.age);
};
</pre>
<p>加粗字体的行中是调用SuperType 构造函数的代码。在第一次调用SuperType 构造函数时，SubType.prototype 会得到两个属性：name 和colors；它们都是SuperType 的实例属性，只不过现在位于SubType 的原型中。当调用SubType 构造函数时，又会调用一次SuperType 构造函数，这一次又在新对象上创建了实例属性name 和colors。于是，这两个属性就屏蔽了原型中的两个同名属性。图6-6 展示了上述过程。<br />
如图6-6 所示，有两组name 和colors 属性：一组在实例上，一组在SubType 原型中。这就是调用两次SuperType 构造函数的结果。好在我们已经找到了解决这个问题方法——寄生组合式继承。</p>
<p>所谓寄生组合式继承，即通过借用构造函数来继承属性，通过原型链的混成形式来继承方法。其背后的基本思路是：不必为了指定子类型的原型而调用超类型的构造函数，我们所需要的无非就是超类型原型的一个副本而已。本质上，就是使用寄生式继承来继承超类型的原型，然后再将结果指定给子类型的原型。寄生组合式继承的基本模式如下所示。</p>
<pre>
function inheritPrototype(subType, superType){
var prototype = object(superType.prototype); //创建对象
prototype.constructor = subType; //增强对象
subType.prototype = prototype; //指定对象
}
</pre>
<p>这个示例中的inheritPrototype()函数实现了寄生组合式继承的最简单形式。这个函数接收两个参数：子类型构造函数和超类型构造函数。在函数内部，第一步是创建超类型原型的一个副本。第二步是为创建的副本添加constructor 属性，从而弥补因重写原型而失去的默认的constructor 属性。最后一步，将新创建的对象（即副本）赋值给子类型的原型。这样，我们就可以用调用inherit-Prototype()函数的语句，去替换前面例子中为子类型原型赋值的语句了，例如</p>
<pre>
function SuperType(name){
this.name = name;
this.colors = ["red", "blue", "green"];
}
SuperType.prototype.sayName = function(){
alert(this.name);
};
function SubType(name, age){
SuperType.call(this, name);
this.age = age;
}
inheritPrototype(SubType, SuperType);
SubType.prototype.sayAge = function(){
alert(this.age);
};
</pre>
<p>这个例子的高效率体现在它只调用了一次SuperType 构造函数，并且因此避免了在SubType.prototype 上面创建不必要的、多余的属性。与此同时，原型链还能保持不变；因此，还能够正常使用instanceof 和isPrototypeOf()。开发人员普遍认为寄生组合式继承是引用类型最理想的继承范式。</p>
<p>YUI 的YAHOO.lang.extend()方法采用了寄生组合继承，从而让这种模式首次出现在了一个应用非常广泛的JavaScript 库中。要了解有关YUI 的更多信息，请访问http://developer. yahoo.com/yui/。</p>
<p>以上所述就是本文的全部内容了，希望对大家学习javascript继承有所帮助。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索javascript<br />
                                    继承<br />
                                    javascript课程小结、面试六大技巧、开车六大技巧、奥克斯面试六大技巧、面试的六大技巧，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 05:53:16</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>, <a href="https://www.iamivan.net/tag/%e7%bb%a7%e6%89%bf/" title="继承">继承</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>javascript继承的六大模式小结_javascript技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0N600z.html" rel="bookmark">javascript继承机制实例详解&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了javascript继承机制.分享给大家供大家参考.具体分析如下: 初学javascript一般很难理解Javascript语言的继承机制它没有&quot;子类&quot;和&quot;父类&quot;的概念,也没有&quot;类&quot;(class)和&quot;实例&quot;(instance)的区分,全靠一种很奇特的&quot;原型链&quot;(prototype chain)模式,来实现继承. 我花了很多时间,学习这个部分,还做了很多笔记.但是都属于强行记忆,无法从根本上理解			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDnnAOM.html" rel="bookmark">JavaScript 继承详解 第一篇&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				面向对象与基于对象 几乎每个开发人员都有面向对象语言(比如C++.C#.Java)的开发经验. 在传统面向对象的语言中,有两个非常重要的概念 - 类和实例. 类定义了一类事物公共的行为和方法:而实例则是类的一个具体实现. 我们还知道,面向对象编程有三个重要的概念 - 封装.继承和多态. 但是在JavaScript的世界中,所有的这一切特性似乎都不存在. 因为JavaScript本身不是面向对象的语言,而是基于对象的语言. 这里面就有一些有趣的特性,比如JavaScript中所有事物都是对象, 包			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6G9Lgp.html" rel="bookmark">JavaScript中实现单体模式分享&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				单体模式作为一种软件开发模式在众多面向对象语言中得到了广泛的使用,在javascript中,单体模式也是使用非常广泛的,但是由于javascript语言拥有其独特的面向对象方式,导致其和一些传统面向对象语言虽然在单体模式的思想上是一致的,但是实现起来还是有差异的. 首先来看看传统面向对象语言对于单体模式的定义:单体模式是只能被实例化一次并且可以通过一个众所周知的访问点来访问的类.这个定义有两点突出了传统面向对象语言的特征,即类和实例化,所以对于传统面向对象语言来讲,单体模式是建立在其类和实例化的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mqg5xZz.html" rel="bookmark">javascript中Number的方法小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.构造函数 Number(value) new Number(value) 二.Number属性 1.Number.MAX_VALUE 返回能表示的最大数字. 2.Number.MIN_VALUE 能表示的最小数字. 3.Number.NAN 非数字值. 4.Number.NEGATIVE_INFINITY 负无穷,当溢出时返回. 5.Number.POSITIVE_INFINITY 正无穷,当溢出时返回. 三.Number方法 1.toString() 使用指定进制,将一个数字转换为字符串.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBkxOaM.html" rel="bookmark">JavaScript lodash常见用法系列小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				lodash一开始是Underscore.js库的一个fork,因为和其他(Underscore.js的)贡献者意见相左.John-David Dalton的最初目标,是提供更多&quot;一致的跨浏览器行为--,并改善性能&quot;.之后,该项目在现有成功的基础之上取得了更大的成果,并于一月份发布了3.0版本. 下面给大家说下javascript lodash知识,具体详情如下所示: 1 _.compact用法 _.compact([0, 1, false, 2, '', 3,'mm']); var			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z446E1z.html" rel="bookmark">JavaScript代码里的判断小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				比较判断 比较判断是比较两个值,返回一个布尔值,表示是否满足比较条件.JavaScript一共提供了8个比较运算符,这里主要说一下严格相等运算符和相等运算符的区别 严格相等运算符=== 判断 返回 两个值类型不同 false 两个值都是null/undefined/true/false true 两个值其中之一为NaN false 两个值都为数值且值相等 true 两个值都为字符串,且值相等 true 两个值都指向同一个引用类型 true 1 === &quot;1&quot; // false true			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3Zdgwz.html" rel="bookmark">JavaScript中的时间处理小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				废话不多说了,主要通过以下七个方面给大家总结了时间处理相关知识. 1.获取当前时间 function getNowTime() { return new Date(); } 2.时间与天数相加 function getTimeAddDays(time, days) { return new Date(time.getTime() + days * 24 * 60 * 60 * 1000); } 3.获取并格式化日期:年-月-日 function getFormatDate(time) { ret			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLmOd8z.html" rel="bookmark">javascript if条件判断方法小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				条件语句用于基于不同的条件来执行不同的动作. 条件语句 通常在写代码时,您总是需要为不同的决定来执行不同的动作.您可以在代码中使用条件语句来完成该任务. 在 JavaScript 中,我们可使用以下条件语句: •if 语句 - 只有当指定条件为 true 时,使用该语句来执行代码•if...else 语句 - 当条件为 true 时执行代码,当条件为 false 时执行其他代码•if...else if....else 语句 - 使用该语句来选择多个代码块之一来执行•switch 语句 - 使用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV08ZKM.html" rel="bookmark">javascript进行数组追加方法小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				javascript中给数组加元素是一个非常简单的问题,javascript本身就提供了大量这类函数,我们可以使用js自带函数快速给数组增加元素了,本文就javascript进行数组追加的方法做出如下小结. 以前常用的是arr.concat(arr2)这种方法来追加数组,例子如下: 复制代码 代码如下: &lt;script type=&quot;text/javascript&quot;&gt;var arr = new Array(3);arr[0] = &quot;测试数组1为 1&quot;;ar			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXZ35b.html" rel="bookmark" class="title">java反射技术（一）</a>
					<div>
						java的反射技术功能十分强大,整理一些资料!! (如需转载,请注明出处!) Lesson: 检测类examing class 1.Retrieving Class Objects 获取一个Class ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyGn8z.html" rel="bookmark" class="title">PS历史记录艺术画笔涂抹图片产生的水墨风格</a>
					<div>
						本教程的效果制作用到了一个比较特殊的工具:历史记录艺术画笔,使用之前先新建一个图层,填充灰色,然后用直径较少的记录画笔涂抹即可产生神奇的效果.原图 最终效果 [1] [2] [3] [4] [5]   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boNaBz.html" rel="bookmark" class="title">不要恶意点击别人的推广 做一个有良知的站长</a>
					<div>
						做SEO的朋友都知道今年6月22日和6月28日的百度进行了一次大面积的更新,据百度官方数据显示,百度在这两天共K掉占所有网站2.2%的站点,被SEOER称为百度大地震.由此可得知此次百度更新的动作之大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOLAmb.html" rel="bookmark" class="title">vmware使用教程</a>
					<div>
						笔者的一个朋友是个游戏狂人,他能够在Windows XP操作系统下装DOS玩DOS版的&lt;红色警戒&gt;.&lt;三国志&gt;和&lt;大富翁&gt;等游戏,甚至还为了一个日文的老游戏而装了日 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91dKXM.html" rel="bookmark" class="title">ppt怎么制作四等分的模板&quest;</a>
					<div>
						  ppt怎么制作四等分的模板?         1.绘制正方形.方法:插入--形状--圆角矩形 ,按住Shift,待圆角矩形变为正方形后松开. 2.选中圆角正方形,调节圆角的弧度.方法:移动角边的黄 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M917DvM.html" rel="bookmark" class="title">Windows 8 键盘快捷键大全</a>
					<div>
						Windows 8 RTM 版系统已经发布,有很多的朋友已经下载安装体验了最新的Windows 8系统,如果你也想安装体验,请阅读此文(Windows 8 下载); Windows 8 相对于以往的W ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WXm6b.html" rel="bookmark" class="title">笔记本电脑win7电源图标不见了怎么办</a>
					<div>
						  在使用笔记本电脑的时候,不少用户都会发现自己的任务栏中的电源图标突然就不见了,或者不可以正常的使用,于是就变得焦急不安.有人认为这是笔记本的电池出了问题,或者系统出现了问题.其实发生这种现象,一般 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJd12p.html" rel="bookmark" class="title">rmvb文件如何打开？</a>
					<div>
						  一般迅雷.QQ旋风上下载的电影都是RMVB的,下载好后直接放到MP4中就可以播放.播放rmvb格式可以用变色龙万能播放器.暴风影音.GOM Player.Kmplayer等,目前大部分播放器都支持 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmrR5z.html" rel="bookmark" class="title">Airplay mac 怎么用？</a>
					<div>
						  AirPlay是一项由苹果公司发明的技术,它允许你通过云端将显示信号从你的Mac上传送至你的第二代或第三代Apple TV上.同时也可以传输iTunes中的影片和音乐,最近越来越多的Mac都允许你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArJrnp.html" rel="bookmark" class="title">系统之家一键重装工具怎么重装系统</a>
					<div>
						  win8系统吐槽已经有不少时间了,很多人习惯win8系统了,虽然微软近期推出了win10系统不过还是有不少人不习惯,于是很多朋友想安装win8系统,系统之家一键重装是一款非常好用重装系统工具,那么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/zDWJkXp.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA3MDIwODI2MjQ5ODQ/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YW1saGJtdDFibXRwYm1jPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L0NlbnRlcg==.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/zDWJkXp.html" rel="bookmark" class="title">html里显示中文乱码的解决办法</a>
					<div>
						在HTML开头统一规范下编码格式: &lt;meta http-equiv=&quot;Content-Type&quot; content=&quot;text/html; charset=utf- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRvAEz.html" rel="bookmark" class="title">服务器出现非常多的sshd&colon; root&commat;notty进程是什么原因，ssh这台服务器也是没反应</a>
					<div>
						问题描述 服务器出现非常多的sshd: root@notty进程是什么原因,ssh这台服务器也是没反应 超级多进程 65375 Sat Aug 22 15:37:05 2015 sshd: root@ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjxj9p.html" rel="bookmark" class="title">《从零开始学Swift》学习笔记（Day 51）&mdash;&mdash;扩展构造函数</a>
					<div>
						创文章,欢迎转载.转载请注明:关东升的博客   扩展类型的时候,也可以添加新的构造函数.值类型与引用类型扩展有所区别.值类型包括了除类以外的其他类型,主要是枚举类型和结构体类型.   值类型扩展构造函 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lxmrb.html" rel="bookmark" class="title">H264视频通过RTMP直播</a>
					<div>
						前面的文章中提到了通过RTSP(Real Time Streaming Protocol)的方式来实现视频的直播,但RTSP方式的一个弊端是如果需要支持客户端通过网页来访问,就需要在在页面中嵌入一个A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV07XVM.html" rel="bookmark" class="title">conversation 扩展消息</a>
					<div>
						问题描述 你好 请问iOS conversation的扩展 ext 如何使用,我在进入俩天页面的时候给conversation.ext 加了扩展后,在会话列表获取所有会话中 取出来的conversat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1RqNz.html" rel="bookmark" class="title">《Python数据分析》一1&period;6 将IPython用作shell</a>
					<div>
						1.6 将IPython用作shell 我们知道,科学家.数据分析师和工程师经常需要进行实验,而IPython正是为实验而生的.对于IPython提供的交互式环境,明眼人一看就知道它与MATLAB.M ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAD77p.html" rel="bookmark" class="title">医药电商看似火爆实则尴尬赔本赚吆喝不好过</a>
					<div>
						中广网北京7月13日消息(记者庄胜春 实习记者孙诗蓉)据中国之声&lt;新闻纵横&gt;报道,说起买药,多数人可能还是选择医院和药店,不知道你有没有尝试过.或者考虑过,通过日趋火爆的电子商务来购买你需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bod8m6M.html" rel="bookmark" class="title">《R的极客理想&mdash;&mdash;高级开发篇 A》一一第1章 R语言知识体系和数学函数</a>
					<div>
						第1章 R语言知识体系和数学函数 本章为全书开篇,主要介绍了R语言知识体系结构及学习资料.利用R语言实现数学计算和统计计算以及连续型分布函数的可视化,可帮助读者全面理解R语言,并利用R语言快速地处理基 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baB82PM.html" rel="bookmark" class="title">IIS8不支持aspnet&lowbar;regiis&period;exe -i 有啥好的办法么</a>
					<div>
						问题描述 //求解 解决方案 解决方案二:本来就不需要它.没办法!那个是给10几年前的asp.net2.0用的,你现在用它干什么?!解决方案三:引用1楼sp1234的回复: 本来就不需要它.没办法!那 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLg3B8M.html" rel="bookmark" class="title">数据库某个用户设置只能访问某个视图，但是视图删除后重新建立，该用户就不能再次访问此视图</a>
					<div>
						问题描述 数据库某个用户设置只能访问某个视图,但是视图删除后重新建立,该用户就不能再次访问此视图.由于某些原因,可能视图需要删除重新建立,有什么方法让设置权限的用户再次访问删除后建立的视图,视图名称都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmQmnp.html" rel="bookmark" class="title">Python基础03 序列</a>
					<div>
						原文:Python基础03 序列 作者:Vamei 出处:http://www.cnblogs.com/vamei 欢迎转载,也请保留这段声明.谢谢!  谢谢thunder424纠错   sequen ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boL5AEM.html" rel="bookmark" class="title">MIP组件开发规范介绍 MIP组件开发规范详解</a>
					<div>
						开发文档 站长开发扩展组件请参照下面链接 扩展组件 开发文档 开发辅助工具库 开发辅助工具和模块 手势:单击,双击,滑动 其它:dom触发js事件 组件类型划分 1.内置组件 定义:为了解决性能.安全 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jKJVp.html" rel="bookmark" class="title">C&num; Socket 异步如何接收网页数据？</a>
					<div>
						问题描述 publicstaticbyte[]ReceiveBodyData(Socketsocket){List&lt;byte&gt;list=newList&lt;byte&gt;();intn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkVl6p.html" rel="bookmark" class="title">eclipse下读不了jad里面的信息</a>
					<div>
						问题描述 在当前工程根目录下有个创建工程是生成的jad文件里面有个属性MIDlet-Jar-URL我在代码里用getAppProperty(&quot;MIDlet-Jar-UR&quot;)为什么的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NAljz.html" rel="bookmark" class="title">安装VS2015报未能正确加载&amp;amp&semi;amp&semi;quot&semi;CSharpPackage&amp;amp&semi;amp&semi;quot&semi;包 和 未能创建 Visual C&num; 2015编译器</a>
					<div>
						问题描述 初步怀疑是因为长城宽带的缓存问题导致VS安装时候下载的文件有问题(因为发现下载地址的ip都是指向了长城宽带,而不是微软的).尝试了重装和修复都无法解决.新安装的VS2015无法创建新的C#项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z43el9p.html" rel="bookmark" class="title">Silverlight3最终版7月发布</a>
					<div>
						5月30日消息,微软发言人5月29日证实称,微软计划在7月10日推出Silverlight 3和 Expression Studio 3软件设计工具. Silverlight 3增加50多项新功能,包 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z43ARNp.html" rel="bookmark" class="title">Bootstrap Modal遮罩弹出层代码分享&lowbar;javascript技巧</a>
					<div>
						下面这段代码并非是Bootstrap的遮罩,只是简单版的遮罩效果,Bootstrap那个太啰嗦了.如果你钟情Bootstrap的那个遮罩,来看看这篇文章&quot;完全版:Bootstrap弹出层遮罩 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEQRB9b.html" rel="bookmark" class="title">12月份全球Web服务器市场份额&colon;Apache稳居榜首</a>
					<div>
						日,Netcraft公布了12月份http://www.aliyun.com/zixun/aggregation/17117.html&quot;&gt;Web服务器最新数据.数据显示,在全球555. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXNkGKb.html" rel="bookmark" class="title">重庆笔记本基地招工2万</a>
					<div>
						本报讯(记者 童江华)在昨天的重庆市笔记本电脑基地人力资源保障工作座谈会上,市人社局副局长卢建辉带领26所技工学校与广达.英业达.富士康3家企业进行用工对接,满足企业用工需求.到今年底,笔记本基地将招 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ3gmwb.html" rel="bookmark" class="title">asp模拟POST提交给&period;net，为什么无法正确提交呢？请教大神！</a>
					<div>
						问题描述 &lt;%Onerrorresumenext'容错处理FunctionGetBody(ips)Sethttps=Server.CreateObject(&quot;MSXML2.XMLHTT ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
